/******************************************************************************
*******************************************************************************
**
**    Copyright 1995-1999 Regents of the University of Minnesota
**
**    This is free software released under the GNU General Public License.
**    There is no warranty for this software.  See the file COPYING for
**    details.
**
**    See the file CONTRIBUTORS for a list of contributors.
**
**    This file is maintained by:
**      Kenneth W. Preslan <kpreslan@lcse.umn.edu>
** 
**    Module name: hexedit.h
**
**    Description:
**	Dumps file or device data out in hex and ASCII.
**
*******************************************************************************
******************************************************************************/

#ifndef __HEXVIEW_H__
#define __HEXVIEW_H__

#ifdef __cplusplus
extern "C" {
#endif

/* Preprocessor Defines */


/* Function Macros */


/* Type Definitions */


/* External Global Variables */

extern int	bsize;
extern char    *buffer;


/* Function Prototypes */

void print_usage(void);
int  run_command(char *cmd, char *arg1, char *arg2);
int  display(int start, int end);


#ifdef __cplusplus
}
#endif

#endif /* __HEXVIEW_H__ */
