#include "structs.h"

char * action_names[] = {
  "nop",
  "lock_shared",
  "lock_excl",
  "fle",
  "ref_lock",
  "unlock",
  "unlock_inc",
  "act_on",
  "act_off",
  "rep_exp"
};
 
char * expired_names[] = {
  "not_exp",
  "exp_shared",
  "exp_excl"
};

char * state_names[] = {
  "unlocked",
  "locked_shared",
  "locked_excl"
};

char * sect_names[] = {
  "TEST",
  "OP",
  "RESULT"
};

char * when_names[] = {
  "for_each",
  "beg"
};

char * param_out_names[] = {
  "res",
  "state",
  "exp",
  "activity",
  "ver",
  "holders",
  "clids"
};

char * param_in_names[] = {
  "action",
  "lock",
  "clid",
  "iver"
};

name_table_t action_tab, expired_tab, state_tab, sect_tab;
name_table_t when_tab;

void suite_init() {
  action_tab.names = action_names;
  expired_tab.names = expired_names;
  state_tab.names = state_names;
  sect_tab.names = sect_names;
  when_tab.names = when_names;

  action_tab.nr_names = NR_ACTIONS;
  expired_tab.nr_names = NR_EXPIREDS;
  state_tab.nr_names = NR_STATES;
  sect_tab.nr_names = NR_SECTS;
  when_tab.nr_names = NR_WHENS;
}
