#ifndef SUITE_DEBUG_H
#define SUITE_DEBUG_H

#include "global.h"

#define ENTER(x) if (dl_flags & DLF_FUNCTIONS) printf("Entering %s\n", suite_fn_names[x])

#define EXIT(x) if (dl_flags & DLF_FUNCTIONS) printf("Exiting %s\n", suite_fn_names[x])


extern char *suite_fn_names[];

enum { 
  TABLE_MATCH,
  TABLE_MATCH_PART,
  TABLE_VAL,
  SYMS_TO_NUMS,
  READ_NUMBER_RANGE,
  GOTO_STATE,
  NR_FUNCTIONS
};

#endif
