/******************************************************************************
*******************************************************************************
**
**    Copyright 1995-1999 Regents of the University of Minnesota
**
**    This is free software released under the GNU General Public License.
**    There is no warranty for this software.  See the file COPYING for
**    details.
**
**    See the file CONTRIBUTORS for a list of contributors.
**
**    This file is maintained by:
**      David C. Teigland  <teigland@lcse.umn.edu>
** 
**    Module name: lock_common.h
**
**    Description:
**	Device lock header file.
**
*******************************************************************************
******************************************************************************/

#ifndef __LOCK_COMMON_H__
#define __LOCK_COMMON_H__


int pool_dlock(pool_t *pp, dlock_params_t *params);
dlock_ret_t device_lock(uint32 action, uint32 pln, uint32 clock, 
		       dlockdev_t *dlp);
int lock_mapping(pool_t *pp, dlock_params_t *params);


#endif /* __LOCK_COMMON_H__ */









